import Listr from 'listr';
import { TrickInterface } from '../interfaces/trick.interface';
import { ElasticacheReplicationGroupState } from '../states/elasticache-replication-group.state';
export declare type SnapshotRemoveElasticacheRedisState = ElasticacheReplicationGroupState[];
export declare class SnapshotRemoveElasticacheRedisTrick implements TrickInterface<SnapshotRemoveElasticacheRedisState> {
    private elcClient;
    static machineName: string;
    constructor();
    getMachineName(): string;
    getDisplayName(): string;
    canBeConcurrent(): boolean;
    conserve(subListr: Listr, dryRun: boolean): Promise<SnapshotRemoveElasticacheRedisState>;
    restore(subListr: Listr, dryRun: boolean, originalState: SnapshotRemoveElasticacheRedisState): Promise<void>;
    private conserveReplicationGroup;
    private restoreReplicationGroup;
    private getCurrentState;
    private isReplicationGroupAvailable;
    private listReplicationGroups;
    private getCacheClusters;
    private getTags;
}
