import Listr from 'listr';
import { TrickInterface } from '../interfaces/trick.interface';
import { EcsClusterState } from '../states/ecs-cluster.state';
export declare type StopFargateEcsServicesState = EcsClusterState[];
export declare class StopFargateEcsServicesTrick implements TrickInterface<StopFargateEcsServicesState> {
    private ecsClient;
    static machineName: string;
    private aasClient;
    constructor();
    getMachineName(): string;
    getDisplayName(): string;
    canBeConcurrent(): boolean;
    conserve(subListr: Listr, dryRun: boolean): Promise<StopFargateEcsServicesState>;
    restore(subListr: Listr, dryRun: boolean, originalState: StopFargateEcsServicesState): Promise<void>;
    private conserveService;
    private conserveScalableTargets;
    private restoreService;
    private restoreScalableTargets;
    private getCurrentState;
    private listServices;
    private listClusters;
    private describeAllServices;
    private describeAllScalableTargets;
    private getEcsServiceResourceId;
}
