import Listr from 'listr';
import { TrickInterface } from '../interfaces/trick.interface';
import { DynamoDBTableState } from '../states/dynamodb-table.state';
export declare type DecreaseDynamoDBProvisionedRcuWcuState = DynamoDBTableState[];
export declare class DecreaseDynamoDBProvisionedRcuWcuTrick implements TrickInterface<DecreaseDynamoDBProvisionedRcuWcuState> {
    private ddbClient;
    static machineName: string;
    constructor();
    getMachineName(): string;
    getDisplayName(): string;
    canBeConcurrent(): boolean;
    conserve(subListr: Listr, dryRun: boolean): Promise<DecreaseDynamoDBProvisionedRcuWcuState>;
    restore(subListr: Listr, dryRun: boolean, originalState: DecreaseDynamoDBProvisionedRcuWcuState): Promise<void>;
    private conserveTable;
    private restoreTable;
    private getCurrentState;
    private listTables;
}
