import Listr from 'listr';
import { TrickInterface } from '../interfaces/trick.interface';
import { NatGatewayState } from '../states/nat-gateway.state';
export declare type RemoveNatGatewaysState = NatGatewayState[];
export declare class RemoveNatGatewaysTrick implements TrickInterface<RemoveNatGatewaysState> {
    private ec2Client;
    static machineName: string;
    constructor();
    getMachineName(): string;
    getDisplayName(): string;
    canBeConcurrent(): boolean;
    conserve(subListr: Listr, dryRun: boolean): Promise<RemoveNatGatewaysState>;
    restore(subListr: Listr, dryRun: boolean, originalState: RemoveNatGatewaysState): Promise<void>;
    private conserveNatGateway;
    private restoreNatGateway;
    private getCurrentState;
    private listNatGateways;
}
