import Listr from 'listr';
import { TrickInterface } from '../interfaces/trick.interface';
import { EC2InstanceState } from '../states/ec2-instance.state';
export declare type ShutdownEC2InstancesState = EC2InstanceState[];
export declare class ShutdownEC2InstancesTrick implements TrickInterface<ShutdownEC2InstancesState> {
    private ec2Client;
    static machineName: string;
    constructor();
    getMachineName(): string;
    getDisplayName(): string;
    canBeConcurrent(): boolean;
    conserve(subListr: Listr, dryRun: boolean): Promise<ShutdownEC2InstancesState>;
    restore(subListr: Listr, dryRun: boolean, originalState: ShutdownEC2InstancesState): Promise<void>;
    private conserveInstance;
    private restoreInstance;
    private getCurrentState;
    private listReservations;
}
