import Listr from 'listr';
import { TrickInterface } from '../interfaces/trick.interface';
import { RdsDatabaseState } from '../states/rds-database.state';
export declare type StopRdsDatabaseInstancesState = RdsDatabaseState[];
export declare class StopRdsDatabaseInstancesTrick implements TrickInterface<StopRdsDatabaseInstancesState> {
    private rdsClient;
    static machineName: string;
    constructor();
    getMachineName(): string;
    getDisplayName(): string;
    canBeConcurrent(): boolean;
    conserve(subListr: Listr, dryRun: boolean): Promise<StopRdsDatabaseInstancesState>;
    restore(subListr: Listr, dryRun: boolean, originalState: StopRdsDatabaseInstancesState): Promise<void>;
    private conserveDatabase;
    private restoreDatabase;
    private getCurrentState;
    private listDatabases;
}
